tigase.form

## Class MultiItemForm

- java.lang.Object
- - tigase.form.AbstractForm
  - - tigase.form.Form
    - - tigase.form.MultiItemForm

-     public class MultiItemForm
      extends Form

  Author:
    Wojciech Kapcia

- - ### Field Summary

    - ### Fields inherited from class tigase.form.Form

      `fields`

    - ### Fields inherited from class tigase.form.AbstractForm

      `instruction, log, title, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiItemForm()`
    `MultiItemForm(Element form)`
    `MultiItemForm(Form form)`
    `MultiItemForm(String title)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItem(Fields i)`
    `List<Fields>` | `getAllItems()`
    `Element` | `getElement()`
    `static void` | `main(String[] args)`
    `void` | `setReported(List<Field> fields)`

    - ### Methods inherited from class tigase.form.Form

      `addField, clear, copyValuesFrom, copyValuesFrom, get, getAllFields, getAsBoolean, getAsInteger, getAsLong, getAsString, getAsStrings, getInstruction, getTitle, getType, getTypeOrElse, is, isType, removeField, setInstruction, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiItemForm

          public MultiItemForm()

    - #### MultiItemForm

          public MultiItemForm(String title)

    - #### MultiItemForm

          public MultiItemForm(Element form)

    - #### MultiItemForm

          public MultiItemForm(Form form)

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### getElement

          public Element getElement()

      Overrides:
        `getElement` in class `Form`

    - #### addItem

          public void addItem(Fields i)

    - #### getAllItems

          public List<Fields> getAllItems()

    - #### setReported

          public void setReported(List<Field> fields)

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.